package cn.edu.whu.boot.xml.mapper;

import cn.edu.whu.boot.xml.domain.XmlEnity;
import cn.edu.whu.boot.xml.domain.XmlEnityExample;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface XmlEnityMapper {

    long countByExample(XmlEnityExample example);

    int deleteByExample(XmlEnityExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(XmlEnity record);

    int insertSelective(XmlEnity record);

    List<XmlEnity> selectByExample(XmlEnityExample example);

    XmlEnity selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") XmlEnity record, @Param("example") XmlEnityExample example);

    int updateByExample(@Param("record") XmlEnity record, @Param("example") XmlEnityExample example);

    int updateByPrimaryKeySelective(XmlEnity record);

    int updateByPrimaryKey(XmlEnity record);
}
